/** 
 *  Setting Group Class 
 */
ABB.Simulator.Tools.SwitchGroups.SwitchPosition = function(sgName, switchNr, isOpen) {
	this.SgName   = sgName;
	this.SwitchNr = switchNr;
	this.IsOpen   = isOpen;
}

ABB.Simulator.Tools.SwitchGroups.SettingGroup = function(name){
	this.Name = name;
	this.Switches = new Array();

	this.AddSwitch = function(switchNr, isOpen) {
		this.Switches[''+switchNr] = new ABB.Simulator.Tools.SwitchGroups.SwitchPosition(this.Name, switchNr, isOpen);
	}

	this.AddSwitchPosition = function(sp) {
		this.Switches[''+sp.SwitchNr] = new ABB.Simulator.Tools.SwitchGroups.SwitchPosition(this.Name, sp.SwitchNr, sp.IsOpen);
	}
}

ABB.Simulator.Tools.SwitchGroups.SettingGroups = function(){
	this.SettingGroups = new Array();

	this.AddSettingGroup = function(name){
		this.SettingGroups[name] = new ABB.Simulator.Tools.SwitchGroups.SettingGroup(name);
	}
}
/* Example code 
oSG = new ABB.Simulator.Tools.SwitchGroups.SettingGroups();
oSG.AddSettingGroup('name 1');
	oSG.SettingGroups['name 1'].AddSwitch('0', false);
	oSG.SettingGroups['name 1'].AddSwitch(1, true);
oSG.AddSettingGroup('name 2');
	oSG.SettingGroups['name 2'].AddSwitch(0, true);
	oSG.SettingGroups['name 2'].AddSwitch(1, false);

for (var sg in oSG.SettingGroups) {
	for (var sp in  oSG.SettingGroups[sg].Switches) {
		alert( 'SgName:   ' + oSG.SettingGroups[sg].Switches[sp].SgName   + '\n'
			 + 'SwitchNr: ' + oSG.SettingGroups[sg].Switches[sp].SwitchNr + '\n'
			 + 'IsOpen:   ' + oSG.SettingGroups[sg].Switches[sp].IsOpen   );
	}
}
*/